.appointment-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.appointment_title {
  text-align: center;
  font-size: clamp(16px, 1.8vw, 25px);
  color: var(--accent);
  margin-bottom: 8px;
  margin-top: 60px;
}

/* کارت فلت */
.appointment-card {
  background: #fff;
  border: 1px solid rgba(243, 110, 39, 0.3);
  border-radius: 15px;
  padding: 40px;
  display: flex;
  align-items: center;
  gap: 40px;
  width: 100%;
}

/* محتوا */
.appointment-content {
  flex: 1;
}

.appointment-content h1 {
  font-size: clamp(22px, 2.4vw, 28px);
  color: #0d6efd;
  margin-bottom: 12px;
}

.subtitle {
  width: 85%;
  text-align: center;
  color: #555;
  font-size: clamp(13px, 1.2vw, 14px);
  line-height: 1.9;
  margin-bottom: 40px;
}

/* شماره تماس */
.phone-box {
  background-color: rgb(243 111 39 / 15%);
  padding: 16px 20px;
  border-radius: 15px;
  margin-bottom: 30px;
}

.phone-box span {
  font-size: clamp(13px, 1.2vw, 14px);
}

.phone-number {
  display: block;
  margin-top: 6px;
  font-size: clamp(18px, 2.2vw, 22px);
  font-weight: bold;
  color: var(--accent);
  text-decoration: none;
  direction: ltr;
}

/* دکمه تماس */

.box_call_btn {
  width: 100%;
  position: fixed;
  display: flex;
  gap: 10px;
  bottom: 30px;
  left: 31px;
  align-items: center;
  z-index: 900;
  justify-content: flex-end;
}

.box_call_btn p {
  width: 140px;
  text-align: right;
  font-size: 15px;
  padding: 5px 15px;
  border-radius: 0px;
  backdrop-filter: blur(15px);
  border-bottom: 1px solid var(--accent);
  color: var(--accent);
  margin: 10px -30px;
}

.call-btn {
  width: 50px;
  height: 50px;
  display: flex;
  gap: 10px;
  bottom: 30px;
  right: 33px;
  background: #08e20f;
  backdrop-filter: blur(10px);
  color: #fff;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  font-size: clamp(20px, 1.4vw, 23px);
  /* opacity: 0.8; */
  transition: 0.3s;
  z-index: 800;
}

.call-btn:hover {
  opacity: 1;
  transform: scale(1.08);
}

/* اطلاعات */
.info-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin: 15px 0;
}

.info-item {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: clamp(14px, 1.4vw, 16px);
  line-height: 1.9;
  color: #444;
}

.info-item i {
  color: var(--accent);
  font-size: clamp(18px, 2vw, 20px);
}

/* کانتینر دایره‌ای */
.appointment-image {
  width: 500px;
  height: 500px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: #f5f7fa;
  border: 5px solid var(--accent);
  overflow: hidden;
}
/* تصویر */
.appointment-image img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

/* Floating Call Button */
.floating-call {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 56px;
  height: 56px;
  background: #0d6efd;
  color: #fff;
  border-radius: 50%;
  display: none;
  align-items: center;
  justify-content: center;
  font-size: 22px;
  z-index: 999;
}

/* ریسپانسیو */
@media (max-width: 768px) {
  .appointment-card {
    flex-direction: column-reverse;
    text-align: center;
    padding: 25px;
  }

  .info-item {
    text-align: right;
    display: flex;
    align-items: center;
  }

  .info-item i {
    display: flex;
    margin-top: -25px;
  }

  .info-item span strong {
    display: block;
    margin-bottom: 3px;
  }

  .floating-call {
    display: flex;
  }

  .appointment_title {
    margin: 0;
    margin-top: 25px;
  }

  .call-btn {
    width: 50px;
    height: 50px;
  }

  .box_call_btn {
    position: fixed;
    bottom: 15px;
    display: flex;
    gap: 10px;
    left: 18px;
    align-items: center;
  }

  .box_call_btn p {
    width: 140px;
    font-size: 14px;
  }
}

/* ===== Services Section ===== */

.services-section {
  padding: 15px 0;
}

/* گرید خدمات */
.services-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 15px;
}

/* باکس سرویس */
.service-box {
  background: #ffffff;
  border: 1px solid rgba(243, 110, 39, 0.3);
  border-radius: 15px;
  padding: 28px 20px;
  text-align: center;
  transition: 0.3s;
  cursor: pointer;
}

.service-box i {
  font-size: clamp(45px, 4vw, 45px);
  color: var(--accent);
  margin-bottom: 14px;
}

.service-box h3 {
  font-size: clamp(14px, 1.4vw, 16px);
  color: #222;
  margin-bottom: 8px;
}

.service-box p {
  font-size: clamp(12px, 1.2vw, 13px);
  color: #555;
  line-height: 1.8;
}

/* هاور ظریف */
.service-box:hover {
  border-color: var(--accent);
  background-color: rgba(243, 110, 39, 0.034);
}

/* موبایل */
@media (max-width: 768px) {
  .services-grid {
    gap: 10px;
  }

  .services-section {
    padding: 0;
    padding-top: 10px;
  }

  .service-box i {
    margin-bottom: 10px;
    padding-top: 10px;
  }

  .service-box {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 25px;
  }

  .service-box:hover {
    background: #ffffff;
    border: 1px solid rgba(243, 110, 39, 0.3);
  }

  .service-box h3 {
    text-align: right;
    margin: 0;
    margin-bottom: -5px;
  }

  .service-box p {
    text-align: right;
    margin: 0;
    margin-top: 10px;
  }

  .meta_service {
    width: 80%;
  }

  .appointment-card .appointment-image {
    width: 100%;
    height: 100%;
  }
}
